# $Revision: 1.82 $, $Date: 2011/08/14 09:05:51 $
Summary:	GNU database library for C - version 1.8
Summary(de.UTF-8):	GNU-Datenbank-Library für C v1.8
Summary(fr.UTF-8):	La librairie GNU de bases de données pout le langage C v1.8
Summary(pl.UTF-8):	Biblioteka GNU bazy danych dla języka C - wersja 1.8
Summary(ru.UTF-8):	Библиотека базы данных GNU для C v1.8
Summary(uk.UTF-8):	Бібліотека бази даних GNU для C v1.8
Name:		gdbm18
Version:	1.8.3
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
# Source0-md5:	1d1b1d5c0245b1c00aff92da751e9aa1
Patch0:		%{name}-info.patch
Patch1:		%{name}-jbj.patch
Patch2:		%{name}-linking.patch
Patch3:		%{name}-link-compat.patch
Patch4:		%{name}-make-jN.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
Obsoletes:	libgdbm2
Obsoletes:	gdbm < 1.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdbm is a GNU database indexing library, including routines which use
extensible hashing. gdbm works in a similar way to standard UNIX dbm
routines. gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

This package contains gdbm 1.8.x libraries for compatibility.

%description -l pl.UTF-8
W pakiecie znajduje się biblioteka indeksowania bazy danych.
Biblioteka ta jest szczególnie użyteczna dla ludzi, którzy piszą
oprogramowanie w C i potrzebują prostej i szybkiej bazy danych, lub
dla tych którzy piszą programy w C z wykorzystaniem tej biblioteki.

Ten pakiet zawiera biblioteki gdbm w wersji 1.8.x dla zachowania
kompatybilności.

%package devel
Summary:	Header files for gdbm 1.8
Summary(de.UTF-8):	Header-Dateien für gdbm 1.8
Summary(fr.UTF-8):	Bibliothèques de développement et en-têtes pour gdbm 1.8
Summary(pl.UTF-8):	Pliki nagłówkowe dla gdbm 1.8
Summary(ru.UTF-8):	Библиотека и хедеры gdbm 1.8 для разработчиков
Summary(tr.UTF-8):	gdbm 1.8 için başlık dosyaları ve geliştirme kitaplıkları
Summary(uk.UTF-8):	Бібліотека та хедери gdbm 1.8 для програмістів
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgdbm2-devel

%description devel
These are the header files for gdbm 1.8, the GNU database system.
These are required if you plan to do development using the gdbm
database.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe dla systemu bazy danych
GNU w wersji 1.8.

%package static
Summary:	Static gdbm 1.8 libraries
Summary(pl.UTF-8):	Biblioteki statyczne gdbm 1.8
Summary(ru.UTF-8):	Статическая библиотека gdbm 1.8
Summary(uk.UTF-8):	Статична бібліотека gdbm 1.8
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gdbm 1.8 libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gdbm 1.8.

%description static -l ru.UTF-8
Это статическая библиотека gdbm 1.8, базы данных GNU.

%description static -l uk.UTF-8
Це статична бібліотека gdbm 1.8, бази даних GNU.

%prep
%setup -q -n gdbm-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install install-compat \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	BINOWN=`id -u` BINGRP=`id -g`

install -d $RPM_BUILD_ROOT%{_includedir}/gdbm-1.8
mv $RPM_BUILD_ROOT%{_includedir}/*.h $RPM_BUILD_ROOT%{_includedir}/gdbm-1.8
for ext in so a ; do
	mv $RPM_BUILD_ROOT%{_libdir}/libgdbm.${ext} $RPM_BUILD_ROOT%{_libdir}/libgdbm-1.8.${ext}
	mv $RPM_BUILD_ROOT%{_libdir}/libgdbm_compat.${ext} $RPM_BUILD_ROOT%{_libdir}/libgdbm_compat-1.8.${ext}
done
# don't mess with library name different from .so/.la, just drop libtool files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdbm*.la
# provided by main gdbm
%{__rm} $RPM_BUILD_ROOT{%{_mandir}/man3/gdbm.3,%{_infodir}/gdbm.info*}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgdbm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdbm.so.3
%attr(755,root,root) %{_libdir}/libgdbm_compat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdbm_compat.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdbm-1.8.so
%attr(755,root,root) %{_libdir}/libgdbm_compat-1.8.so
%{_includedir}/gdbm-1.8

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdbm-1.8.a
%{_libdir}/libgdbm_compat-1.8.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdbm18.spec,v $
Revision 1.82  2011/08/14 09:05:51  qboosh
- last gdbm 1.8.x packaged as gdbm18 for compatibility

Revision 1.81  2008/03/13 20:58:03  arekm
- rel 8

Revision 1.80  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.79  2007-12-18 22:44:56  zbyniu
- simple patch instead of stupid workaround (make -j N)

Revision 1.78  2007-12-12 02:52:56  sls
- __make -j1

Revision 1.77  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.76  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.74  2007/02/06 00:40:47  baggins
- rel 7
- explicitly link libgdbm_compat to libgdbm

Revision 1.73  2007/01/23 22:59:04  tommat
- added gdbm-linking.patch to allow build on sparc multilib

Revision 1.72  2006/12/22 23:14:08  arekm
- rel 6

Revision 1.71  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.70  2005/03/21 22:06:20  mmazur
- rel 5 for th

Revision 1.69  2004/10/16 13:38:59  mmazur
- need to start writing down packages I've already bumped; rel 4

Revision 1.68  2004/10/16 13:37:24  mmazur
- rel 5 for th

Revision 1.67  2004/10/12 21:40:54  mmazur
- rel 4 for th

Revision 1.66  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.65  2004/01/23 12:15:18  jajcus
- Release: 3 (to rebuild on AMD64 and _tag_)

Revision 1.64  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.63  2003/08/23 23:41:39  mmazur
- rel 2 for ac

Revision 1.62  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.61  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2002/12/24 17:12:31  qboosh
- updated to 1.8.3 (warning: SONAME has changed)
- removed obsolete DESTDIR patch and hacks
- added some docs

Revision 1.59  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.58  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.57  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.55  2002/05/21 23:13:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.54  2002/05/19 18:58:52  kloczek
- release 16,
- merge tramnslations from KSI,
- change Obsoletes s/libgdbm1/libgdbm2/.

Revision 1.53  2002/04/25 20:34:20  mmazur
- fixed broken *.la file; rel 15; STBR

Revision 1.52  2002/04/25 16:21:30  arturs
- fixed a small typo

Revision 1.51  2002/03/18 23:39:04  marcus
- added Obsoletes libgdbm1 for upgrading from mdk
- rel.14.

Revision 1.50  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:13:01  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/10/30 00:59:49  kloczek
- release 12.

Revision 1.46  2001/09/26 10:33:46  qboosh
- adapterized, typos, BuildRequires: automake

Revision 1.45  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/09 10:39:06  kloczek
- release 11: rebuild in new ac 2.50 environment.

Revision 1.42  2001/06/23 07:37:10  kloczek
- release 10: added texinfo to BuildRequires.

Revision 1.41  2001/04/30 16:05:18  kloczek
- added using %{rpmcflags} macro.

Revision 1.40  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.39  2000/12/23 00:48:44  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.38  2000/11/13 09:36:39  wrobell
- added compatybility headers

Revision 1.37  2000/10/25 06:02:38  kloczek
- release 6: use nae rpm automation.

Revision 1.36  2000/07/11 08:12:20  kloczek
- release 5.

Revision 1.35  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.34  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.33  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.32  2000/05/09 01:09:59  kloczek
- bump to release 4 (to allow upgrade from RH 6.2),
- spec adapterized.

Revision 1.31  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.28  1999/11/09 14:11:38  kloczek
- release 3,
- added jbj patch from rawhide (make sure created database header is
  initialized).

Revision 1.27  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.26  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.25  1999/07/22 13:20:33  kloczek
- release 2.

Revision 1.24  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.23  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
